org.springframework.cloud.dataflow.completion

## Class CompletionProposal.Factory

- java.lang.Object
- - org.springframework.cloud.dataflow.completion.CompletionProposal.Factory

- Enclosing class:
    CompletionProposal

      public static class CompletionProposal.Factory
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompletionProposal` | `withSeparateTokens(String suffix)` Add a suffix as a new token, that is, make sure there is a space before it.
    `CompletionProposal` | `withSeparateTokens(String suffix, String explanation)` Add a suffix as a new token, that is, make sure there is a space before it.
    `CompletionProposal` | `withSuffix(String suffix)`
    `CompletionProposal` | `withSuffix(String suffix, String explanation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withSuffix

          public CompletionProposal withSuffix(String suffix,
                                               String explanation)

    - #### withSuffix

          public CompletionProposal withSuffix(String suffix)

    - #### withSeparateTokens

          public CompletionProposal withSeparateTokens(String suffix,
                                                       String explanation)

      Add a suffix as a new token, that is, make sure there is a space before it.

      A space is not appended if this is the very first token.

      Parameters:
        `suffix` - the suffix to add
        `explanation` - the explanation of how to complete the text
      Returns:
        the new instance of a completion proposal

    - #### withSeparateTokens

          public CompletionProposal withSeparateTokens(String suffix)

      Add a suffix as a new token, that is, make sure there is a space before it.

      A space is not appended if this is the very first token.

      Parameters:
        `suffix` - the suffix to add
      Returns:
        a new completion proposal

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.